| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# FuncMinimum::FuncMinimumMisc Class Reference

`#include <FuncMinimum.h>`

Collaboration diagram for FuncMinimum::FuncMinimumMisc:

[legend]

List of all members.

## Detailed Description

Definition at line 61 of file FuncMinimum.h.

## Public Member Functions
| FuncMinimumMisc (const GenFunc &func, Arg &arg)
| standard construictor
| ~FuncMinimumMisc ()
const Arg & | argument () const
Arg & | argument ()
const GenFunc * | equation () const
const Gradient & | gradient () const
## Private Member Functions
| FuncMinimumMisc ()
| FuncMinimumMisc (const FuncMinimumMisc &)
FuncMinimumMisc & | operator= (const FuncMinimumMisc &)
## Private Attributes
Arg | m_argum
const GenFunc * | m_eq
Gradient | m_grad

## Constructor & Destructor Documentation

FuncMinimum::FuncMinimumMisc::FuncMinimumMisc | ( | const GenFunc & | func,
|  | Arg & | arg |
| ) |  |  |

standard construictor

FuncMinimum::FuncMinimumMisc::~FuncMinimumMisc | ( |  | ) |

Definition at line 52 of file FuncMinimum.cpp.

    00053 {
    00054   m_grad.clear();
    00055 };

FuncMinimum::FuncMinimumMisc::FuncMinimumMisc | ( |  | ) | `[private]`

FuncMinimum::FuncMinimumMisc::FuncMinimumMisc | ( | const FuncMinimumMisc & |  | ) | `[private]`

## Member Function Documentation

const Arg& FuncMinimum::FuncMinimumMisc::argument | ( |  | ) | const`[inline]`

Definition at line 73 of file FuncMinimum.h.

    00073 { return m_argum ;}

Arg& FuncMinimum::FuncMinimumMisc::argument | ( |  | ) | `[inline]`

Definition at line 74 of file FuncMinimum.h.

    00074 { return m_argum ;}

const GenFunc* FuncMinimum::FuncMinimumMisc::equation | ( |  | ) | const`[inline]`

Definition at line 75 of file FuncMinimum.h.

    00075 { return m_eq    ;}

const Gradient& FuncMinimum::FuncMinimumMisc::gradient | ( |  | ) | const`[inline]`

Definition at line 76 of file FuncMinimum.h.

    00076 { return m_grad  ;}

FuncMinimumMisc& FuncMinimum::FuncMinimumMisc::operator= | ( | const FuncMinimumMisc & |  | ) | `[private]`

## Member Data Documentation

Arg FuncMinimum::FuncMinimumMisc::m_argum`[private]`

Definition at line 85 of file FuncMinimum.h.

const GenFunc* FuncMinimum::FuncMinimumMisc::m_eq`[private]`

Definition at line 86 of file FuncMinimum.h.

Gradient FuncMinimum::FuncMinimumMisc::m_grad`[private]`

Definition at line 87 of file FuncMinimum.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGSL/src/Components/FuncMinimum.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGSL/src/Components/FuncMinimum.cpp